Bug 179776 - [MAINTAINER] devel/p5-Data-Throttler: update to 0.06
Summary: [MAINTAINER] devel/p5-Data-Throttler: update to 0.06
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Frederic Culot
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-20 17:00 UTC by markun
Modified: 2013-06-22 08:40 UTC (History)
0 users

See Also:


Attachments
p5-Data-Throttler-0.06.patch (1.11 KB, patch)
2013-06-20 17:00 UTC, markun
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description markun 2013-06-20 17:00:01 UTC
- Update to 0.06

Generated with FreeBSD Port Tools 0.99_7 (mode: update, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2013-06-20 17:00:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Frederic Culot freebsd_committer 2013-06-20 17:20:12 UTC
Responsible Changed
From-To: perl->culot

I'll take it.
Comment 3 Frederic Culot freebsd_committer 2013-06-22 08:39:26 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 4 dfilter service freebsd_committer 2013-06-22 08:39:30 UTC
Author: culot
Date: Sat Jun 22 07:39:17 2013
New Revision: 321548
URL: http://svnweb.freebsd.org/changeset/ports/321548

Log:
  - Update to 0.06 [1]
  - Trim Makefile's header [1]
  - Fix dependencies
  - Add LICENSE (Artistic 1 & GPL 1)
  - Pet portlint(1) by changing tab into space in WWW link
  
  Changes:	http://search.cpan.org/dist/Data-Throttler/Changes
  PR:		ports/179776 [1]
  Submitted by:	TERAMOTO Masahiro <markun@onohara.to> (maintainer)

Modified:
  head/devel/p5-Data-Throttler/Makefile
  head/devel/p5-Data-Throttler/distinfo
  head/devel/p5-Data-Throttler/pkg-descr

Modified: head/devel/p5-Data-Throttler/Makefile
==============================================================================
--- head/devel/p5-Data-Throttler/Makefile	Sat Jun 22 06:46:05 2013	(r321547)
+++ head/devel/p5-Data-Throttler/Makefile	Sat Jun 22 07:39:17 2013	(r321548)
@@ -1,12 +1,8 @@
-# New ports collection makefile for:	p5-Data-Throttler
-# Date created:		2008-01-30
-# Whom:			Masahiro Teramoto <markun@onohara.to>
-#
+# Created by: Masahiro Teramoto <markun@onohara.to>
 # $FreeBSD$
-#
 
 PORTNAME=	Data-Throttler
-PORTVERSION=	0.05
+PORTVERSION=	0.06
 CATEGORIES=	devel perl5
 MASTER_SITES=	CPAN
 PKGNAMEPREFIX=	p5-
@@ -14,10 +10,13 @@ PKGNAMEPREFIX=	p5-
 MAINTAINER=	markun@onohara.to
 COMMENT=	Limit data throughput
 
-BUILD_DEPENDS=	p5-DBM-Deep>=1.0001:${PORTSDIR}/databases/p5-DBM-Deep \
-		p5-Log-Log4perl>=1:${PORTSDIR}/devel/p5-Log-Log4perl \
-		p5-Set-IntSpan>=0:${PORTSDIR}/math/p5-Set-IntSpan \
-		p5-Text-ASCIITable>=0:${PORTSDIR}/textproc/p5-Text-ASCIITable
+LICENSE=	ART10 GPLv1
+LICENSE_COMB=	dual
+
+BUILD_DEPENDS=	p5-Log-Log4perl>=1:${PORTSDIR}/devel/p5-Log-Log4perl \
+		p5-Set-IntSpan>0:${PORTSDIR}/math/p5-Set-IntSpan \
+		p5-Text-ASCIITable>0:${PORTSDIR}/textproc/p5-Text-ASCIITable \
+		p5-YAML>=0.62:${PORTSDIR}/textproc/p5-YAML
 RUN_DEPENDS:=	${BUILD_DEPENDS}
 
 PERL_CONFIGURE=	yes

Modified: head/devel/p5-Data-Throttler/distinfo
==============================================================================
--- head/devel/p5-Data-Throttler/distinfo	Sat Jun 22 06:46:05 2013	(r321547)
+++ head/devel/p5-Data-Throttler/distinfo	Sat Jun 22 07:39:17 2013	(r321548)
@@ -1,2 +1,2 @@
-SHA256 (Data-Throttler-0.05.tar.gz) = fcd7e753ea8f84618f91fc6f508c40de84633178f679168939c32ea92e662294
-SIZE (Data-Throttler-0.05.tar.gz) = 9028
+SHA256 (Data-Throttler-0.06.tar.gz) = f85daa5c844a5ef4d72840b2280a370d0d8a84bca7873a0c3cc4d84807edbb6c
+SIZE (Data-Throttler-0.06.tar.gz) = 9754

Modified: head/devel/p5-Data-Throttler/pkg-descr
==============================================================================
--- head/devel/p5-Data-Throttler/pkg-descr	Sat Jun 22 06:46:05 2013	(r321547)
+++ head/devel/p5-Data-Throttler/pkg-descr	Sat Jun 22 07:39:17 2013	(r321548)
@@ -6,4 +6,4 @@ what happened before and offers a simple
 which can then focus on performing the actual task (like sending email)
 or suppressing/postponing it.
 
-WWW:	http://search.cpan.org/dist/Data-Throttler/
+WWW: http://search.cpan.org/dist/Data-Throttler/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"